# Description

"""
Stores configuration for AMT. """

# Imports

import os
import Queue

# Constants

current_version = 3.0

debug_on = False     # True / False to enable console debug messages


# Program Settings

check_for_update_on_startup = True   # You can disable this if you want. See amthelper.py

gui_mode = True     # Set false to disable the GUI. You must specify 'to_dir' and 'from_dir' below.


# Variables

housekeeping_gap = 20   # Length of time to pause to let iTunes catch up. Be generous. 0, 10, 20, 40, 80

song_gap = 1        # These values can be overriden by the radio buttons. Either: 0, 1, 2, 4, 8
                    # 20/1 work well with MacOS and Windows and with large libraries or empty ones. 

max_move=200        # number of files to move before letting itunes do housekeeping. ** test **

sort_order = 'NewestAtTop'      # User's preferred sort order in itunes. NewestAtTop or NewestAtBottom

move_or_copy = 'Copy'       # "Move" or "Copy" items from original folder?

# To and from directories
# You can set default values here if you like
# This is mandatory if you are using the 'no-GUI mode'.
# You can then trigger Add-My-Tunes to run, using the program 'Hazel', 
# whenever MP3s appear in your Downloads or Downloads/Music folder.

# Example for MacOS

to_dir = u'~/Music/iTunes/iTunes Media/Automatically Add to iTunes.localized'
from_dir = u'~/Downloads/'

# Example for Windows

#to_dir = u'C:\Documents and Settings\<type your username>\Music\iTunes\iTunes Media\Automatically Add to iTunes'
#from_dir = u'C:\Documents and Settings\<type your username>\My Documents\Downloads'


# Co-ordinating data structures

q = Queue.Queue()       # Message-passing between threads
endThread = False   # Message-passing between threads
    
ok_types = ['aiff','mp3','mp4','mpg','m4a','aac','mov','wav',
            'qt','avi','cda','m4r','m4v']

#notes
#move_files now has params
#set these value when config GUI closed?

