# Description

""" Short helper functions used by AMT """

# Imports

import re
import urllib2

import amtconf
import amtgui


def debug(s):
    if amtconf.debug_on: print(s.encode('utf-8'))
        
def listdir_fullpath(d):
    return [os.path.join(d, f) for f in os.listdir(d)]

def check_version():
    """ Checks home to see if a new version is available. """
    
    if amtconf.check_for_update_on_startup: 
        try:
            f = urllib2.urlopen('http://graemebell.net/software-dl/AMT-current-version.txt')
            v = float(f.read(3))
            if v > amtconf.current_version: 
                debug("New version of AMT is available")
                amtgui.new_version_message_box()
        except IOError, e:
            pass # Do nothing if there's no internet access.


#natural sort - written by Mark Byers / stack overflow - needs import re

def sorted_nicely( l ): 
    """ Sort the given iterable in the way that humans expect.""" 
    convert = lambda text: int(text) if text.isdigit() else text 
    alphanum_key = lambda key: [ convert(c) for c in re.split('([0-9]+)', key) ] 
    return sorted(l, key = alphanum_key)
